cURL
curl 'https://api.gumloop.com/api/v1/evaluation-options' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'from gumloop import Gumloop
client = Gumloop(access_token="YOUR_ACCESS_TOKEN")
options = client.evaluations.options()
print(options.grades, options.limits["run_session_ids"])
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gumloop.com/api/v1/evaluation-options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"scopes": [
"organization"
],
"target_types": [
"organization",
"team",
"user",
"agent"
],
"session_types": [
"chat",
"general_agent",
"slack",
"slack_custom_app",
"teams",
"email",
"operator",
"subagent",
"triggered",
"api",
"self_improvement",
"reflect",
"brain_source_creation",
"personalization"
],
"default_session_types": [
"chat",
"general_agent",
"slack",
"slack_custom_app",
"teams"
],
"criterion_types": [
"prohibited_action",
"prohibited_words",
"voice_tone",
"other"
],
"criterion_priorities": [
"needs_review",
"needs_attention"
],
"data_point_types": [
"string",
"boolean",
"integer",
"number"
],
"frequencies": [
"debounced",
"per_turn",
"manual"
],
"grades": [
"pass",
"needs_review",
"needs_attention"
],
"statuses": [
"queued",
"in_progress",
"completed",
"failed"
],
"skip_reasons": [
"ineligible",
"in_flight"
],
"limits": {
"criteria": 30,
"tags": 50,
"data_points": 40,
"tag_name_max_len": 100,
"tag_description_max_len": 500,
"notification_recipients": 50,
"run_session_ids": 200,
"metrics_days": 365
}
}Get evaluation options
Allowed values for evaluation fields and filters — session types, criterion types and priorities, data point types, frequencies, grades, statuses, target types, skip reasons — plus size limits. Use these instead of hardcoding enums.
GET
/
evaluation-options
cURL
curl 'https://api.gumloop.com/api/v1/evaluation-options' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'from gumloop import Gumloop
client = Gumloop(access_token="YOUR_ACCESS_TOKEN")
options = client.evaluations.options()
print(options.grades, options.limits["run_session_ids"])
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gumloop.com/api/v1/evaluation-options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"scopes": [
"organization"
],
"target_types": [
"organization",
"team",
"user",
"agent"
],
"session_types": [
"chat",
"general_agent",
"slack",
"slack_custom_app",
"teams",
"email",
"operator",
"subagent",
"triggered",
"api",
"self_improvement",
"reflect",
"brain_source_creation",
"personalization"
],
"default_session_types": [
"chat",
"general_agent",
"slack",
"slack_custom_app",
"teams"
],
"criterion_types": [
"prohibited_action",
"prohibited_words",
"voice_tone",
"other"
],
"criterion_priorities": [
"needs_review",
"needs_attention"
],
"data_point_types": [
"string",
"boolean",
"integer",
"number"
],
"frequencies": [
"debounced",
"per_turn",
"manual"
],
"grades": [
"pass",
"needs_review",
"needs_attention"
],
"statuses": [
"queued",
"in_progress",
"completed",
"failed"
],
"skip_reasons": [
"ineligible",
"in_flight"
],
"limits": {
"criteria": 30,
"tags": 50,
"data_points": 40,
"tag_name_max_len": 100,
"tag_description_max_len": 500,
"notification_recipients": 50,
"run_session_ids": 200,
"metrics_days": 365
}
}Was this page helpful?
